Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Services.h File Reference

Services.h,v 1.16 2002/03/14 03:49:27 spark Exp. More...

`#include "ace/pre.h"`
`#include "tao/Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for Services.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_ServiceInformation::_tao_seq_ServiceDetail_out
class | CORBA_ServiceInformation::_tao_seq_ServiceDetail_var
class | CORBA_ServiceInformation::_tao_seq_ServiceDetail
class | CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceDetail
class | CORBA_ServiceInformation::_tao_seq_ServiceOption_out
class | CORBA_ServiceInformation::_tao_seq_ServiceOption_var
class | CORBA_ServiceInformation::_tao_seq_ServiceOption
class | CORBA_ServiceInformation::_TAO_Unbounded_Sequence_CORBA_ServiceInformation__tao_seq_ServiceOption
class | CORBA_ServiceDetail::_tao_seq_Octet_out
class | CORBA_ServiceDetail::_tao_seq_Octet_var
class | CORBA_ServiceDetail::_tao_seq_Octet
struct | CORBA_ServiceDetail
class | CORBA_ServiceDetail_out
class | CORBA_ServiceDetail_var
struct | CORBA_ServiceInformation
class | CORBA_ServiceInformation_out
class | CORBA_ServiceInformation_var
## Defines
#define | _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET_CH_
#define | _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET___VAR_CH_
#define | _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CH_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CH_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION___VAR_CH_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CH_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CH_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL___VAR_CH_
#define | _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL___OUT_CH_
## Functions
void | operator<<= (CORBA::Any &, const CORBA::ServiceDetail &)
void | operator<<= (CORBA::Any &, CORBA::ServiceDetail *)
CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::ServiceDetail *&)
void | operator<<= (CORBA::Any &, const CORBA_ServiceInformation &)
void | operator<<= (CORBA::Any &, CORBA_ServiceInformation *)
CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA_ServiceInformation *&)
CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA_ServiceDetail &)
CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA_ServiceDetail &)
CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA_ServiceDetail::_tao_seq_Octet &)
CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA_ServiceDetail::_tao_seq_Octet &)
CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA_ServiceInformation &)
CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA_ServiceInformation &)
CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA_ServiceInformation::_tao_seq_ServiceOption &)
CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA_ServiceInformation::_tao_seq_ServiceOption &)
CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA_ServiceInformation::_tao_seq_ServiceDetail &)
CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA_ServiceInformation::_tao_seq_ServiceDetail &)

## Detailed Description

Services.h,v 1.16 2002/03/14 03:49:27 spark Exp.

Service_Detail stubs. This code generated by the The ACE ORB (TAO) IDL Compiler and was then hand crafted

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CH_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CH_

#define _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET___OUT_CH_

#define _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET___VAR_CH_

#define _CORBA_SERVICEDETAIL__TAO_SEQ_OCTET_CH_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL___OUT_CH_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL___VAR_CH_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEDETAIL_CH_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION___OUT_CH_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION___VAR_CH_

#define _CORBA_SERVICEINFORMATION__TAO_SEQ_SERVICEOPTION_CH_

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA_ServiceInformation::_tao_seq_ServiceDetail & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA_ServiceInformation::_tao_seq_ServiceOption & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA_ServiceInformation & | _tao_aggregate
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA_ServiceDetail::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA_ServiceDetail & | _tao_aggregate
| ) |

void operator<<= | ( | CORBA::Any & | ,
|  | CORBA_ServiceInformation * |
| ) |

void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA_ServiceInformation & |
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ServiceDetail * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::ServiceDetail & | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA_ServiceInformation::_tao_seq_ServiceDetail & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA_ServiceInformation::_tao_seq_ServiceOption & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA_ServiceInformation & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA_ServiceDetail::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA_ServiceDetail & | _tao_aggregate
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA_ServiceInformation *& |
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::ServiceDetail *& | _tao_elem
| ) |